﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Threading.Tasks;

namespace OccupationMonitor
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main()
        {
            #if(!DEBUG)
            ServiceBase[] ServicesToRun;
            ServicesToRun = new ServiceBase[] 
            { 
                new OccupationMonitorService() 
            };
            ServiceBase.Run(ServicesToRun);
            #else
            OccupationMonitorService service = new OccupationMonitorService();
            service.Start();
            Console.WriteLine("OccupationService spusteny");
            Console.Read();
            #endif

            }
    }
}
