﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace OccupationMonitorLib.DrawingStrategies
{
    
    class DrawXAxisHours : DrawXAxisStrategy
    {
        //vykresli x-ovu os ktora reprezentuje hodiny pocas dna
        internal override void DrawXAxis(Graphics g, Pen pen, float width, float height, int parts, int statsPadding, float partLength) 
        {
            g.DrawLine(pen, statsPadding, height - pen.Width, width, height - pen.Width);
            float part = (width - statsPadding) / parts;
            for (int i = 0; i < parts + 1; i++)
            {
                g.DrawLine(pen, i * part + statsPadding , height - pen.Width, i * part + statsPadding, height - partLength - pen.Width);
                if (i < parts && i%2==0) Draw(g, (i).ToString("00")+":00", (i) * part + statsPadding - (part/2), height - pen.Width);
            }
        }






    }
}
