﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace OccupationMonitorLib.DrawingStrategies
{
    //trieda reprezentujuca sposob vykreslovania x-ovej osi 
    abstract class DrawXAxisStrategy
    {
        //vykresli x-ovu os
        internal abstract void DrawXAxis(Graphics g, Pen pen, float width, float height, int parts, int statsPadding, float partLength);

        //vykresli hodnoty k x-ovej osy
        protected void Draw(Graphics g, string text, float x, float y)
        {
            using (Font font = new Font("Times New Roman", 9.0f))
            {
                PointF point = new PointF();
                point.X = x;
                point.Y = y;
                g.DrawString(text, font, new SolidBrush(Color.Black), point);
            }
        }
    
    }
}
